<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Other</TITLE>
<link href="suif1_100.html" rel=Next>
<link href="suif1_98.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_98.html">previous</A>, <A HREF="suif1_100.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC99" HREF="suif1_toc.html#TOC99">Other Features of the SUIF Library</A></H1>

<P>
This chapter describes various features of the SUIF library that are too
small to warrant separate chapters.  These include immediate values and
symbolic addresses, which are used in annotations and <CODE>ldc</CODE>
instructions, the <CODE>lexicon</CODE>, in which almost all character strings
are entered, the <CODE>machine_params</CODE> structure, which records a
variety of parameters for the target architecture, and a variety of
functions for initializing the library, handling errors, and iterating
through procedures.

</P>

<UL>
<LI><A HREF="suif1_100.html#SEC100">Immeds</A>: Immediate values.
<LI><A HREF="suif1_101.html#SEC101">Symbolic Addresses</A>: Symbolic addresses used in immediate values.
<LI><A HREF="suif1_102.html#SEC102">Lexicon</A>: All character strings are stored in this table.
<LI><A HREF="suif1_103.html#SEC103">Target Machine Parameters</A>: Various parameters for the target architecture.
<LI><A HREF="suif1_104.html#SEC104">Initialization</A>: Initializing and finalizing SUIF libraries.
<LI><A HREF="suif1_105.html#SEC105">Command-Line Parser</A>: Extracting options from the command-line.
<LI><A HREF="suif1_106.html#SEC106">Error Handling</A>: Errors, warnings, and assertions.
<LI><A HREF="suif1_107.html#SEC107">Procedure Iterators</A>: Code for visiting all procedures in a program.
</UL>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_98.html">previous</A>, <A HREF="suif1_100.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
